> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Customer Subscription

> Returns a single Customer Subscription extended information.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/subscriptions/{subscription_uuid}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/subscriptions/{subscription_uuid}:
    get:
      tags:
        - Subscription
      summary: Show Customer Subscription
      description: Returns a single Customer Subscription extended information.
      operationId: showCustomerSubscription
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: illum
        - name: subscription_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: e0d59c35-4863-38f1-b4e0-df22c9e9dcde
        - name: include
          in: query
          description: >-
            A comma-separated list of relationships to include. Multiple
            parameters are allowed.
          schema:
            enum:
              - customer
              - currentPhase
              - immediateTerminationRequests
              - processingRenewalOrder
            type: string
            description: >-
              A comma-separated list of relationships to include. Multiple
              parameters are allowed.
            example: customer
          example: customer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 7c068b18-7dfa-3182-ab7b-53ece388b5ea
                      name:
                        type: string
                        example: Harum saepe cum.
                      short_description:
                        type: string
                        example: Et est aut blanditiis alias vel.
                      status:
                        type: string
                        example: draft
                      current_period_start:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                      current_period_end:
                        type: string
                        example: '2026-04-03T14:05:32+00:00'
                      previous_period_start:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                      previous_period_end:
                        type: string
                        example: '2026-02-03T14:05:32+00:00'
                      started_at:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                      terminated_at:
                        type: string
                        example: '2026-03-03T14:05:32+00:00'
                      billing_anchor_day:
                        type: integer
                        example: 20
                      customer:
                        type: object
                        properties:
                          uuid:
                            type: string
                            example: a13651d5-d719-496c-84fd-04d945439f5d
                          auth_id:
                            type: string
                            example: f7d67dbc-f267-3560-8a05-42235d48cecc
                          name:
                            type: string
                            example: Dr. Zander McGlynn
                          business_entity_id:
                            type: string
                            example: a13651d5-d652-4545-873e-2485832eead5
                          currency:
                            type: string
                            example: USD
                      total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '0.00'
                          amount_minor:
                            type: integer
                            example: 0
                      sub_total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '0.00'
                          amount_minor:
                            type: integer
                            example: 0
                      discount_total:
                        type: object
                        properties:
                          currency:
                            type: string
                            example: USD
                          amount:
                            type: string
                            example: '0.00'
                          amount_minor:
                            type: integer
                            example: 0
                      current_phase:
                        type: object
                        properties:
                          uuid:
                            type: string
                            example: a49e879e-0444-36dd-8b60-68d62fedcea3
                          name:
                            type: string
                            example: Recusandae consequuntur sed.
                          short_description:
                            type: string
                            example: Qui natus molestiae soluta qui.
                          start_at:
                            type: string
                            example: '2026-03-03T14:05:32+00:00'
                          occurrence:
                            type: string
                            example: month
                          period:
                            type: integer
                            example: 1
                          end_at:
                            type: string
                            example: '2027-03-03T14:05:32+00:00'
                          status:
                            type: string
                            example: pending
                          created_at:
                            type: string
                            example: '2026-03-03T14:05:32+00:00'
                      has_immediate_termination:
                        type: boolean
                        example: true
                      is_in_grace_period:
                        type: boolean
                        example: false
                      expires_at:
                        type: string
                        example: '2026-04-03T14:05:32+00:00'
                example:
                  data:
                    uuid: 7c068b18-7dfa-3182-ab7b-53ece388b5ea
                    name: Harum saepe cum.
                    short_description: Et est aut blanditiis alias vel.
                    status: draft
                    current_period_start: '2026-03-03T14:05:32+00:00'
                    current_period_end: '2026-04-03T14:05:32+00:00'
                    previous_period_start: '2026-03-03T14:05:32+00:00'
                    previous_period_end: '2026-02-03T14:05:32+00:00'
                    started_at: '2026-03-03T14:05:32+00:00'
                    terminated_at: '2026-03-03T14:05:32+00:00'
                    billing_anchor_day: 20
                    customer:
                      uuid: a13651d5-d719-496c-84fd-04d945439f5d
                      auth_id: f7d67dbc-f267-3560-8a05-42235d48cecc
                      name: Dr. Zander McGlynn
                      business_entity_id: a13651d5-d652-4545-873e-2485832eead5
                      currency: USD
                    total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    sub_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    discount_total:
                      currency: USD
                      amount: '0.00'
                      amount_minor: 0
                    current_phase:
                      uuid: a49e879e-0444-36dd-8b60-68d62fedcea3
                      name: Recusandae consequuntur sed.
                      short_description: Qui natus molestiae soluta qui.
                      start_at: '2026-03-03T14:05:32+00:00'
                      occurrence: month
                      period: 1
                      end_at: '2027-03-03T14:05:32+00:00'
                      status: pending
                      created_at: '2026-03-03T14:05:32+00:00'
                    has_immediate_termination: true
                    is_in_grace_period: false
                    expires_at: '2026-04-03T14:05:32+00:00'
              example:
                data:
                  uuid: 7c068b18-7dfa-3182-ab7b-53ece388b5ea
                  name: Harum saepe cum.
                  short_description: Et est aut blanditiis alias vel.
                  status: draft
                  current_period_start: '2026-03-03T14:05:32.0000000+00:00'
                  current_period_end: '2026-04-03T14:05:32.0000000+00:00'
                  previous_period_start: '2026-03-03T14:05:32.0000000+00:00'
                  previous_period_end: '2026-02-03T14:05:32.0000000+00:00'
                  started_at: '2026-03-03T14:05:32.0000000+00:00'
                  terminated_at: '2026-03-03T14:05:32.0000000+00:00'
                  billing_anchor_day: 20
                  customer:
                    uuid: a13651d5-d719-496c-84fd-04d945439f5d
                    auth_id: f7d67dbc-f267-3560-8a05-42235d48cecc
                    name: Dr. Zander McGlynn
                    business_entity_id: a13651d5-d652-4545-873e-2485832eead5
                    currency: USD
                  total:
                    currency: USD
                    amount: '0.00'
                    amount_minor: 0
                  sub_total:
                    currency: USD
                    amount: '0.00'
                    amount_minor: 0
                  discount_total:
                    currency: USD
                    amount: '0.00'
                    amount_minor: 0
                  current_phase:
                    uuid: a49e879e-0444-36dd-8b60-68d62fedcea3
                    name: Recusandae consequuntur sed.
                    short_description: Qui natus molestiae soluta qui.
                    start_at: '2026-03-03T14:05:32.0000000+00:00'
                    occurrence: month
                    period: 1
                    end_at: '2027-03-03T14:05:32.0000000+00:00'
                    status: pending
                    created_at: '2026-03-03T14:05:32.0000000+00:00'
                  has_immediate_termination: true
                  is_in_grace_period: false
                  expires_at: '2026-04-03T14:05:32.0000000+00:00'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````